Alice Community  

Go Back   Alice Community > General Discussion > Questions and Comments

Reply
 
Thread Tools Display Modes
Old
donnied
Guest
 
Status:
Posts: n/a
Default 03-07-2009, 09:02 AM

Quote:
Originally Posted by pbceeman75 View Post
I got Alice to work on Ubuntu 7.10 AMD64 with nVidia drivers. I had to download http://download.java.net/media/jogl/...inux-amd64.zip
This link is dead. I tried Alice with 64 bit Debian and that didn't work so I thought a 32 bit chroot might help. They both froze in the same place. Is there a link to the Linux source code somewhere?
   
Reply With Quote
jogl files
Old
donnied
Guest
 
Status:
Posts: n/a
Default jogl files - 03-07-2009, 10:31 AM

The answer does seem to be in the jogl files.

To get Alice working with 64 bit Alice I tried a few different things. At the end I
Code:
aptitude install ia32-sun-java5-bin  
aptitude install sun-java6-jdk
update-alternatives --config java
This should be straight forward. I tried the jogl change with Java 6 and it didn't work. I tried with ia-32 and it didn't work. Then I tried again with Java 6 and it worked.
First get the jogl files from https://jogl.dev.java.net/servlets/P...1&folderID=271. (It's not the JRE but the jogl files included in Alice).
Unzip the archive.
cp jogl-1_0_0-linux-amd64/lib/*so to the Required/jogl/lib/linux-i586/ directory.
Use update alternatives to try with the ia32-Java5 (it shouldn't work).
Then update alternatives to use Java 6 from Sun and it should work.
   
Reply With Quote
Old
donnied
Guest
 
Status:
Posts: n/a
Default 03-07-2009, 07:56 PM

Nevermind. I was wrong. I went back and tried to use it Alice again and it didn't work.
   
Reply With Quote
jogl solution
Old
goldenfleece
Guest
 
Status:
Posts: n/a
Default jogl solution - 03-07-2009, 08:12 PM

Well, thanks for trying. Let me know if you find anything else. I'm still attempting to get it working but with no success to date.
   
Reply With Quote
well
Old
donnied
Guest
 
Status:
Posts: n/a
Default well - 04-26-2009, 08:26 PM

Well. I got it working. I used the jogl solution. I've found though that I have to cycle through all the Javas installed on my system. I do
Code:
 update-alternatives --config java
and choose the different Javas. It works using OpenJDK (oddly enough, as opposed to Sun 6 Java…). I can use it, but the procedure to get it working is odd (not the jogl bit but rather cycling through all installed Javas…).
   
Reply With Quote
"Alice" successfully works on Ubuntu 9.04 x86_64.
Old
homer.xing
Guest
 
Status:
Posts: n/a
Cool "Alice" successfully works on Ubuntu 9.04 x86_64. - 07-01-2009, 12:01 AM

I downloaded "Alice" from
http://www.alice.org/downloads/autho...nux_readme.htm ,

then download "jogl" from
https://jogl.dev.java.net/.

and unpack "gluegen-rt.jar" "jogl.jar" into the folder 'jogl/lib/',
"libjogl_cg.so" "libjogl_awt.so" "libjogl.so" "libgluegen-rt.so" into the folder "jogl/lib/linux-i586".

I modified the file "run-alice" as

Code:
java -classpath ./gnu/getopt-1.0.7.jar:\
./jython-2.1/jython.jar:\
./lib/alice.jar:\
./jogl/lib/jogl.jar:\
./xerces-2_6_2/resolver.jar:\
./vecmath/lib/ext/vecmath.jar:\
./xerces-2_6_2/xercesImpl.jar:\
./xerces-2_6_2/xml-apis.jar:\
./xerces-2_6_2/xmlParserAPIs.jar:\
./JMF-2.1.1e/lib/customizer.jar:\
./JMF-2.1.1e/lib/jmf.jar:\
./JMF-2.1.1e/lib/mediaplayer.jar:\
./JMF-2.1.1e/lib/multiplayer.jar:\
./mp3/lib/ext/mp3plugin.jar:\
./jogl/lib/gluegen-rt.jar:\
./jogl/lib/jogl.jar:\
 -Dpython.home=./jython-2.1\
 -Djava.library.path=./jogl/lib/linux-i586\
 -Xincgc -Xmx512m\
 -Dalice.useJavaBasedSplashScreen=false\
 edu.cmu.cs.stage3.alice.authoringtool.JAlice -o -e
Then "Alice" successfully works!
   
Reply With Quote
Success again on Linux 9.04 x86_64
Old
phoe6
Guest
 
Status:
Posts: n/a
Default Success again on Linux 9.04 x86_64 - 07-17-2009, 11:49 PM

There is one caveat in the solution mentioned by homer.xing.

If you Ubuntu Linux 64 bit is x86_64, you still have to Download AMD64 version of jogl from
jogl and follow the steps exactly as mentioned.

I had downed jogl Linux i586 version, but it did not work, jogl AMD 64 version works.

Quote:
Originally Posted by homer.xing View Post
I downloaded "Alice" from
http://www.alice.org/downloads/autho...nux_readme.htm ,

then download "jogl" from
https://jogl.dev.java.net/.

and unpack "gluegen-rt.jar" "jogl.jar" into the folder 'jogl/lib/',
"libjogl_cg.so" "libjogl_awt.so" "libjogl.so" "libgluegen-rt.so" into the folder "jogl/lib/linux-i586".

I modified the file "run-alice" as

Code:
java -classpath ./gnu/getopt-1.0.7.jar:\
./jython-2.1/jython.jar:\
./lib/alice.jar:\
./jogl/lib/jogl.jar:\
./xerces-2_6_2/resolver.jar:\
./vecmath/lib/ext/vecmath.jar:\
./xerces-2_6_2/xercesImpl.jar:\
./xerces-2_6_2/xml-apis.jar:\
./xerces-2_6_2/xmlParserAPIs.jar:\
./JMF-2.1.1e/lib/customizer.jar:\
./JMF-2.1.1e/lib/jmf.jar:\
./JMF-2.1.1e/lib/mediaplayer.jar:\
./JMF-2.1.1e/lib/multiplayer.jar:\
./mp3/lib/ext/mp3plugin.jar:\
./jogl/lib/gluegen-rt.jar:\
./jogl/lib/jogl.jar:\
 -Dpython.home=./jython-2.1\
 -Djava.library.path=./jogl/lib/linux-i586\
 -Xincgc -Xmx512m\
 -Dalice.useJavaBasedSplashScreen=false\
 edu.cmu.cs.stage3.alice.authoringtool.JAlice -o -e
Then "Alice" successfully works!
   
Reply With Quote
Running Alice in Linux - wrong ELF class
Old
rdlatimer
Guest
 
Status:
Posts: n/a
Default Running Alice in Linux - wrong ELF class - 09-10-2009, 12:18 PM

Here's the error message I get with run-alice. Let me know if any one can help,
I'd like to get Alice up and running

/Alice/Required/jogl/lib/linux-i586/libjogl_drihack.so: /afs/csl.tjhsst.edu/staff/rdlatimer/Alice2-0-0/Alice/Required/jogl/lib/linux-i586/libjogl_drihack.so: wrong ELF class: ELFCLASS32 (Possible cause: architecture word width mismatch)
   
Reply With Quote
Looks like arch issue.
Old
phoe6
Guest
 
Status:
Posts: n/a
Default Looks like arch issue. - 09-10-2009, 12:25 PM

Did you follow the steps mentioned in the previous step of doing jogl and AMD64 bit libs?
   
Reply With Quote
New to Ubuntu
Old
EvilQueenRinoa
Guest
 
Status:
Posts: n/a
Default New to Ubuntu - 09-13-2009, 09:33 PM

I am currently running Ubuntu 9.04 but I am not at all familiar with getting ANYTHING to work in it. I love using it for my simple daily tasks but when it comes to any kind of admin, I seem to mess it up every time. I am currently enrolled in a Computer Programming class at my local college and we are using Alice for our homework assignments. Both of my personal computers run Ubuntu so I really need to get it running. I have had problems even getting the download started (I think the server must be down or something) but beyond that, I am totally clueless. Can anyone help me?
   
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump



Copyright ©2019, Carnegie Mellon University
Alice 2.x © 1999-2012, Alice 3.x © 2008-2012, Carnegie Mellon University. All rights reserved.